Transaction Status & Download Document
To get the status of the eSign process, you can make an API call to the below endpoint provided by the eSign service
GET https://services-sandbox.vida.id/signer/v2/services/esign/{esign-id}
Query Parameters
esign-Id
String
Transaction ID that is produced on eSignOnly request.
Headers
Authorization
String
Bearer <Token received from Authentication>
Content-Type
application/json
{
"data": {
"partnerTrxId": "2aad04a7-fded-4dbd-8fe4",
"code": 2,
"lastUpdateAt": "2021-09-22T18:05:31",
"signedDocs": [{
"pdfTemplateId": "xxxxx-01",
"documentUrl": "https://vida-cloudstore.s3.ap-southeast-1.amazonaws.com/ ...",
"code": 0,
"errMsg": ""
},
{
"pdfTemplateId": "xxxxx-01",
"documentUrl": "https://vida-cloudstore.s3.ap - southeast - 1. amazonaws.com / ...",
"code": 0,
"errMsg": ""
}
]
}
}Response Body
Returns the status of the specified request.
0 - Created
1 - Certificate Generated
2 - Signing Task complete
3 - Request Failed
When there is failure, there will be a failureReason included in the response
Code - Under SignedDocs indicates the status of specific template-id
0 - Signing success
1 - Signing failed (generic error)
errMsg - Will include the failure reason in Text
Error Handling
Non-success status code responses will have a body with error details
Error Codes
31001
Failure to generate certificate
31004
keyID not found
31006
CVV is not valid
31007
Certificate already expired / revoked
31008
PDF file provided in the request body is not valid
21003
The requested resource was not found
1006
The request is missing a required parameter
1000
An unknown error occurred while processing the request
Last updated
